<?php

/*
  D2UniqueMaker
  GPLv2 (C) <2021>  <HashCasper>

  This file is part of D2UM.

  D2UM is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 2 of the License, or
  (at your option) any later version.

  D2UM is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with D2UM.  If not, see <http://www.gnu.org/licenses/>.
 */

ini_set('display_errors', 1);
ini_set('log_errors', 1);

$filename = 'd2um.conf';

if (file_exists($filename)) {
	
	$p = file_get_contents($filename);
	if(is_dir($p)) {
		$path = $p;
		define('TXT_PATH', $p);
	} else {
		$path = DIRECTORY_SEPARATOR."txt".DIRECTORY_SEPARATOR;
		// if entered mod path is incorrect, use 1.10 txt files in /txt/ folder
		define('TXT_PATH', './txt/');
	}
	
	// Misc functions
	require_once "./src/functions.php";

// $path is a shorter alias to writing $path a lot.
	$path = $path;

// Txt Parser
	require_once './src/txtParser.php';

// parse txt data
	$txtParser = new txtParser();
	$parser = $txtParser->getData();
	$armor = $parser['a'];
	$weapon = $parser['w'];
	$prop = $parser['p'];
	$uni = $parser['u'];

	$files = $txtParser->getFiles();
	$u = $files['u'];

	if (!empty($_POST)) {
		// Saver Object
		require_once './src/saveFile.php';
		$saver = new saveFile();

		// save files
		$saver->saveTxt($u);
		$saver->saveTblEnries($path);
	}

// load app 
	require_once './src/D2UM.php';
} else {
	header('Location: ./src/config.php');
}
?>